Target version:    

Resolution: Duplicate   

Description

the "comment" field while logging time for any issue should be mandatory. It would be highly profitable for us if this can be achieved

in the next version.

thanks!

p.s. This is a fantastic application, really appreciate the work you guys are doing here!

Related issues:

Is duplicate of Redmine - Feature #24577: Settings to make the issue and/or c... Closed

History

#1 - 2010-02-20 11:14 - Jean-Philippe Lang

- Subject changed from Comments field should be mandatory to Option to make time log comments field mandatory

I think that making it optional would be better.

#2 - 2010-02-20 12:28 - Waleed Riaz

Jean-Philippe Lang wrote:

I think that making it optional would be better.

 or at least we can make it mandatory from application settings or something. We in our organization need all time loggers to submit comments...

#3 - 2010-02-20 20:56 - Jean-Philippe Lang

That's what I was saying, an option in application settings to make comments mandatory.

#4 - 2010-09-20 16:25 - Slava Karg

- Assignee set to Jean-Philippe Lang

Our organization needs this option too. Is it available in 1.0.1 version?

#5 - 2010-09-20 17:17 - Eric Davis

- Assignee deleted (Jean-Philippe Lang)

Slava Karg:

Please don't assign issues to people.

I've written a plugin that makes all comments required on time entries.  It should be a good enough workaround for the next several months at least.

http://github.com/edavis10/redmine_require_time_entry_comments

#6 - 2012-03-11 02:46 - Jos Accapadi

+1, while a plugin is fine, since comments are used in details in reports, and other plugins use the same comment capabilities for other time entry

plugins, it would be nice, if it is a minor change to have this as part of core, otherwise plugins have to be aware of other plugins.  As an example, the

plugin Eric has won't work with the issue hot buttons plugin which can have an option to include comments for time entry.
#7 - 2013-11-29 15:44 - Christoph Klesser

+1

#8 - 2014-04-14 10:29 - Y Z

+1

#9 - 2014-05-05 21:52 - Adam Jenson

+1

#10 - 2014-05-30 10:07 - Richard Bergoin

+1

I often forgot to log my time when updating an issue. If I don't want to log time, could "0" value be accepted to log "no time" ?

#11 - 2014-10-01 17:56 - Michael Sanders

+1

Has there been any update on this functionality yet? Eric's plugin for 4 years ago was made for Redmine 1.x, and does not work for Redmine 2.x

#12 - 2015-07-03 15:31 - Stéphane Klein

+1

#13 - 2015-09-03 20:12 - Gustavo Regal

I would appreciate if I could make, instead of comments, the issue id mandatory.

In my company, people sometimes forget to select the issue and the time entry gets not-associated to anything.

#14 - 2016-12-11 02:14 - Marius BĂLTEANU

Jean-Philippe Lang wrote:

That's what I was saying, an option in application settings to make comments mandatory.

 I've added a patch in #24577 which implements this.

#15 - 2016-12-11 03:19 - Go MAEDA

- Is duplicate of Feature #24577: Settings to make the issue and/or comment fields mandatory for time logs added

#16 - 2016-12-11 03:20 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

A patch to implement this feature was submitted as #24577.

Closing this issue.
